Skip to main content
PATCH
/
v0
/
offers
/
{offerId}
/
archive
Archive an offer
curl --request PATCH \
  --url https://api.fungies.io/v0/offers/{offerId}/archive \
  --header 'Content-Type: application/json' \
  --header 'x-fngs-public-key: <api-key>' \
  --header 'x-fngs-secret-key: <api-key>' \
  --data '
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://api.fungies.io/v0/offers/{offerId}/archive"

payload = { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
    "x-fngs-public-key": "<api-key>",
    "x-fngs-secret-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {
    'x-fngs-public-key': '<api-key>',
    'x-fngs-secret-key': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};

fetch('https://api.fungies.io/v0/offers/{offerId}/archive', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "<string>",
  "data": {
    "success": true
  }
}
{
  "status": "error",
  "error": {
    "message": "Sample error message"
  }
}

Authorizations

x-fngs-public-key
string
header
required
x-fngs-secret-key
string
header
required

Body

application/json

PATCH /v0/offers/:offerId/archive Request body

id
string<uuid>
required

Response

PATCH /v0/offers/:offerId/archive Positive response

status
string
required
Allowed value: "success"
data
object
required